import type { _NSFetchRequest } from "./NSFetchRequest.js";
import type { _NSPropertyDescription } from "./NSPropertyDescription.js";
export declare class _NSFetchedPropertyDescription extends _NSPropertyDescription {
    static alloc(): _NSFetchedPropertyDescription;
    static new(): _NSFetchedPropertyDescription;
    init(): _NSFetchedPropertyDescription;
    /**
     * As part of the predicate for a fetched property, you can use the two variables $FETCH_SOURCE (which is the managed object fetching the property) and $FETCHED_PROPERTY (which is the NSFetchedPropertyDescription instance).
     */
    fetchRequest(): _NSFetchRequest | null;
    setFetchRequest$(value: _NSFetchRequest | null): void;
}
